package com.pcloud.book.keywords.biz;

import com.pcloud.book.keywords.entity.SelfRobotKeyword;
import com.pcloud.common.page.PageBeanNew;

import java.util.List;

public interface SelfRobotKeywordBiz {
    void batchAddSelfRobotKeyword(Long partyId, List<SelfRobotKeyword> selfRobotKeywords);

    void updateSelfRobotKeyword(Long partyId, SelfRobotKeyword selfRobotKeyword);

    void deleteSelfRobotKeyword(Long id);

    PageBeanNew<SelfRobotKeyword> getSelfRobotKeywordList(Long bookGroupId, String keyword, Integer currentPage, Integer numPerPage);

    void updateSelfRobotKeywordSeqNum(SelfRobotKeyword selfRobotKeyword);

    String getAppOrProductServeUrl(Long bookGroupId, Long serveId, String serveType, String serveUrl);

    String getMaxKeyword(Long bookGroupId);
}
